function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/15_Workshop_Room_HO.lua', 'hidden_object', 'data/Scenes/15_Workshop_Main.lua')
    
    play_field:IgnoreOnTestPoint('BG_Shlem3');
    
    AddTask(CreateTask('BALL',        '',             'Ball'));
    AddTask(CreateTask('CANNON',      'CANNONS',      'Cannon1',      'Cannon2',      'Cannon3'));
    AddTask(CreateTask('HALBERD',     'HALBERDS',     'Halberd1',     'Halberd2',     'Halberd3'));
    AddTask(CreateTask('IRON_GLOVE',  'IRON_GLOVES',  'IronGlove1',   'IronGlove2',   'IronGlove3'));
    
    AddRandomTasks( CreateTask('ARBALEST',     '',         'Arbalest'),
                    CreateTask('BELL',         'BELLS',    'Bell1', 'Bell2', 'Bell3'),
                    CreateTask('BOOKS',        '',         'Books'),
                    CreateTask('CANDLESTICK',  '',         'Candlestick'),
                    CreateTask('CAT',          'CATS',     'Cat1', 'Cat2'),
                    CreateTask('CLOCK',        'CLOCKS',   'Clock1', 'Clock2', 'Clock3'),
                    CreateTask('CRAB',         '',         'Crab'),
                    CreateTask('GLASSES',      '',         'Glasses'),
                    CreateTask('LAMP',         '',         'Lamp'),
                    CreateTask('LION',         'LIONS',    'Lion1', 'Lion2', 'Lion3'),
                    CreateTask('LOCK',         'LOCKS',    'Lock1', 'Lock2', 'Lock3'),
                    CreateTask('LOCOMOTIVE',   '',         'Locomotive'),
                    CreateTask('MAP',          '',         'Map'),
                    --CreateTask('MIRROR',       '',         'Mirror'),    -- EAP-420
                    CreateTask('MUG',          'MUGS',     'Mug1', 'Mug2', 'Mug3'),
                    CreateTask('SABRE',        '',         'Sabre'),
                    CreateTask('SCALES',       '',         'Scales'),
                    CreateTask('SPEARHEAD',    'SPEARHEADS', 'Spearhead1', 'Spearhead2'),
                    CreateTask('STOVE',        '',         'Stove'),
                    CreateTask('GRIFFIN',           '',         'Griffin'),
                    CreateTask('CARPENTERS_VICE',   '',         'Vice'));
    
    RegisterToolFindInfo('15_ball')
    
    game_state.disable_close_scene_on_complete = true;
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Arbalest.png',0,0,71,84,1,0)
	anim:SetHotSpot(35,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Arbalest',anim,52,187,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Ball.png',0,0,45,37,1,0)
	anim:SetHotSpot(22,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ball',anim,478,258,101,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Bell1.png',0,0,86,117,1,0)
	anim:SetHotSpot(43,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bell1',anim,52,521,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Bell2.png',0,0,42,34,1,0)
	anim:SetHotSpot(21,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bell2',anim,895,383,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Bell3.png',0,0,53,77,1,0)
	anim:SetHotSpot(26,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bell3',anim,23,127,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Books.png',0,0,62,59,1,0)
	anim:SetHotSpot(31,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Books',anim,619,426,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Candlestick.png',0,0,111,131,1,0)
	anim:SetHotSpot(55,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Candlestick',anim,652,556,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Cannon1.png',0,0,52,38,1,0)
	anim:SetHotSpot(26,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cannon1',anim,310,467,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Cannon2.png',0,0,86,51,1,0)
	anim:SetHotSpot(43,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cannon2',anim,766,477,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Cannon3.png',0,0,56,78,1,0)
	anim:SetHotSpot(28,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cannon3',anim,664,422,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Cat1.png',0,0,47,60,1,0)
	anim:SetHotSpot(23,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cat1',anim,315,341,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Cat2.png',0,0,55,55,1,0)
	anim:SetHotSpot(27,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cat2',anim,538,405,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Clock1.png',0,0,42,75,1,0)
	anim:SetHotSpot(21,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clock1',anim,214,335,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Clock2.png',0,0,41,53,1,0)
	anim:SetHotSpot(20,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clock2',anim,901,323,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Clock3.png',0,0,46,55,1,0)
	anim:SetHotSpot(23,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clock3',anim,685,265,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Crab.png',0,0,132,110,1,0)
	anim:SetHotSpot(66,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Crab',anim,720,605,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Glasses.png',0,0,66,55,1,0)
	anim:SetHotSpot(33,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Glasses',anim,139,446,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Halberd1.png',0,0,79,219,1,0)
	anim:SetHotSpot(39,109)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Halberd1',anim,91,367,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Halberd2.png',0,0,59,150,1,0)
	anim:SetHotSpot(29,75)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Halberd2',anim,382,369,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Halberd3.png',0,0,44,215,1,0)
	anim:SetHotSpot(22,107)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Halberd3',anim,827,238,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Lamp.png',0,0,39,74,1,0)
	anim:SetHotSpot(19,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp',anim,345,333,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Lion1.png',0,0,63,45,1,0)
	anim:SetHotSpot(31,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lion1',anim,182,348,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Lion2.png',0,0,46,44,1,0)
	anim:SetHotSpot(23,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lion2',anim,605,275,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Lion3.png',0,0,131,86,1,0)
	anim:SetHotSpot(65,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lion3',anim,90,602,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Lock1.png',0,0,45,45,1,0)
	anim:SetHotSpot(22,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lock1',anim,518,341,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Lock2.png',0,0,37,51,1,0)
	anim:SetHotSpot(18,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lock2',anim,996,453,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Lock3.png',0,0,64,58,1,0)
	anim:SetHotSpot(32,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lock3',anim,687,78,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Locomotive.png',0,0,90,61,1,0)
	anim:SetHotSpot(45,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Locomotive',anim,56,283,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Map.png',0,0,73,70,1,0)
	anim:SetHotSpot(36,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Map',anim,373,226,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Mirror.png',0,0,75,58,1,0)
	anim:SetHotSpot(37,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Mirror',anim,197,580,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Mug1.png',0,0,100,83,1,0)
	anim:SetHotSpot(50,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Mug1',anim,468,426,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Mug2.png',0,0,58,46,1,0)
	anim:SetHotSpot(29,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Mug2',anim,874,462,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Mug3.png',0,0,58,59,1,0)
	anim:SetHotSpot(29,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Mug3',anim,182,479,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Sabre.png',0,0,93,110,1,0)
	anim:SetHotSpot(46,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sabre',anim,198,432,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Scales.png',0,0,160,106,1,0)
	anim:SetHotSpot(80,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Scales',anim,516,518,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Spearhead1.png',0,0,129,131,1,0)
	anim:SetHotSpot(64,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Spearhead1',anim,367,487,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Spearhead2.png',0,0,94,52,1,0)
	anim:SetHotSpot(47,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Spearhead2',anim,582,67,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Stove.png',0,0,76,57,1,0)
	anim:SetHotSpot(38,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Stove',anim,733,443,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Vice.png',0,0,86,69,1,0)
	anim:SetHotSpot(43,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Vice',anim,932,490,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Ball.png',0,0,35,18,1,0)
	anim:SetHotSpot(17,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Ball',anim,476,267,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Berdanka1.png',0,0,37,32,1,0)
	anim:SetHotSpot(18,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Berdanka1',anim,79,455,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Berdanka2.png',0,0,35,103,1,0)
	anim:SetHotSpot(17,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Berdanka2',anim,369,396,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Berdanka3.png',0,0,37,152,1,0)
	anim:SetHotSpot(18,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Berdanka3',anim,827,277,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Chasy2.png',0,0,55,22,1,0)
	anim:SetHotSpot(27,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Chasy2',anim,900,347,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Nakonechnik1.png',0,0,78,43,1,0)
	anim:SetHotSpot(39,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Nakonechnik1',anim,350,537,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Nakonechnik2.png',0,0,27,19,1,0)
	anim:SetHotSpot(13,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Nakonechnik2',anim,616,49,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Sablya.png',0,0,62,64,1,0)
	anim:SetHotSpot(31,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Sablya',anim,219,457,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Shlem1.png',0,0,57,57,1,0)
	anim:SetHotSpot(28,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Shlem1',anim,759,265,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Shlem2.png',0,0,49,26,1,0)
	anim:SetHotSpot(24,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Shlem2',anim,933,117,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Shlem3.png',0,0,44,32,1,0)
	anim:SetHotSpot(22,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Shlem3',anim,50,456,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Vesy.png',0,0,70,76,1,0)
	anim:SetHotSpot(35,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Vesy',anim,460,549,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Layers/BG_Zamok3.png',0,0,42,29,1,0)
	anim:SetHotSpot(21,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Zamok3',anim,672,59,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/IronGlove1.png',0,0,62,34,1,0)
	anim:SetHotSpot(31,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('IronGlove1',anim,760,273,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/IronGlove2.png',0,0,73,48,1,0)
	anim:SetHotSpot(36,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('IronGlove2',anim,912,99,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/IronGlove3.png',0,0,61,49,1,0)
	anim:SetHotSpot(30,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('IronGlove3',anim,38,458,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_Workshop/Zone_HO_room/Items/Griffin.png',0,0,68,81,1,0)
	anim:SetHotSpot(34,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Griffin',anim,673,174,101,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
